<?php

/**
 * Main configuration for the apAuthWifidogV1Plugin
 *
 * @package    authpuppy
 * @subpackage plugin
 * @author     Geneviève Bastien <gbastien@versatic.net>
 * @version    Bzr: $Id: pre-alpha$
 */

class apConnectionPoliciesPluginConfiguration extends sfPluginConfiguration {

  /**
    * @see sfPluginConfiguration
    */
  public function initialize()
  {  
    $this->dispatcher->connect('connection.set_up', array('apConnectionPoliciesMain', 'settingUpConnection'));
    $this->dispatcher->connect('connection.first_check', array('apConnectionPoliciesMain', 'initiatingConnection'));     
    $this->dispatcher->connect('menu.build', array('apConnectionPoliciesMain', 'getMenu'));
    $this->dispatcher->connect('connection.status_verification', array('apConnectionPoliciesMain', 'verifyConnection'));
    $this->dispatcher->connect('node.gw_message', array('apConnectionPoliciesMain', 'displayStatus'));   
  }

  public static function isAuthPuppyPlugin() {
    return true;
  }

}
