<?php
class Applicablepolicies extends Doctrine_Migration_Base
{
  public function up()
  {

    $this->createTable('ap_applicable_policies', array(
      'id' => array('type' => 'integer', 'length' => 11, 'autoincrement' => true, 'primary' => true),
      'connection_id' => array('type' => 'integer', 'length' => 11, 'notnull' => true),
      'policy_id' => array('type' => 'integer', 'length' => 11, 'notnull' => true),
      'this_total_data' => array('type' => 'integer', 'length' => 8),
      'total_data' => array('type' => 'integer', 'length' => 8),
      'disconnect_at' => array('type' => 'timestamp',
              'length' => 25),
      'status_message' => array('type' => 'string', 'length' => 1000),
    )); 
    
    $this->addColumn('ap_connection_policies', 'status_message', 'string', 1000, array(
          'length' => 1000,
             ));
    
    $this->addIndex("ap_applicable_policies", "policy_conn_idx", array(
            'fields' => array('connection_id'),
      ));
   
  }

  public function down()
  {
    $this->dropIndex('policy_conn_idx');
    $this->dropTable('ap_applicable_policies');

  }
}

