<?php

/**
 * apConnectionPolicies form base class.
 *
 * @method apConnectionPolicies getObject() Returns the current form's model object
 *
 * @package    authpuppy
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseapConnectionPoliciesForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                   => new sfWidgetFormInputHidden(),
      'type'                 => new sfWidgetFormInputText(),
      'scope'                => new sfWidgetFormInputText(),
      'auth_type'            => new sfWidgetFormInputText(),
      'auth_sub_type'        => new sfWidgetFormInputText(),
      'max_incoming'         => new sfWidgetFormInputText(),
      'max_outgoing'         => new sfWidgetFormInputText(),
      'max_total'            => new sfWidgetFormInputText(),
      'max_duration'         => new sfWidgetFormInputText(),
      'time_window'          => new sfWidgetFormInputText(),
      'expiration'           => new sfWidgetFormInputText(),
      'identity_and_machine' => new sfWidgetFormInputCheckbox(),
      'status_message'       => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'                   => new sfValidatorDoctrineChoice(array('model' => $this->getModelName(), 'column' => 'id', 'required' => false)),
      'type'                 => new sfValidatorString(array('max_length' => 20)),
      'scope'                => new sfValidatorString(array('max_length' => 15)),
      'auth_type'            => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'auth_sub_type'        => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'max_incoming'         => new sfValidatorInteger(array('required' => false)),
      'max_outgoing'         => new sfValidatorInteger(array('required' => false)),
      'max_total'            => new sfValidatorInteger(array('required' => false)),
      'max_duration'         => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'time_window'          => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'expiration'           => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'identity_and_machine' => new sfValidatorBoolean(array('required' => false)),
      'status_message'       => new sfValidatorString(array('max_length' => 1000)),
    ));

    $this->validatorSchema->setPostValidator(
      new sfValidatorDoctrineUnique(array('model' => 'apConnectionPolicies', 'column' => array('type', 'scope', 'auth_type', 'auth_sub_type')))
    );

    $this->widgetSchema->setNameFormat('ap_connection_policies[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'apConnectionPolicies';
  }

}
