<?php
class Addconnectionfields extends Doctrine_Migration_Base
{
  public function up()
  {

    $this->createTable('ap_connection_policies', array(
      'id' => array('type' => 'integer', 'length' => 11, 'autoincrement' => true, 'primary' => true),
      'type' => array('type' => 'string', 'length' => '20', 'notnull' => true),
      'scope' => array('type' => 'string', 'length' => '15', 'notnull' => true),
      'auth_type' => array('type' => 'string', 'length' => '255'),
      'auth_sub_type' => array('type' => 'string', 'length' => '255'),
      'max_incoming' => array('type' => 'integer', 'length' => 11),
      'max_outgoing'=> array('type' => 'integer', 'length' => 11),
      'max_total' => array('type' => 'integer', 'length' => 11),
      'max_duration' => array('type' => 'string', 'length' => '50'),
      'time_window' => array('type' => 'string', 'length' => '50'),
      'expiration' => array('type' => 'string', 'length' => '50'),
      'identity_and_machine' => array('type' => 'boolean'),
    )); 
   
    $this->addColumn('connections', 'max_total_data', 'integer', 8, array(
          'default' => 0,
          'length' => 8,
             ));
    $this->addColumn('connections', 'disconnect_at', 'timestamp');
  }

  public function down()
  {
    $this->dropTable('ap_connection_policies');
    $this->removeColumn('connections', 'max_total_data');
    $this->removeColumn('connections', 'disconnect_at');
  }
}
